Bug 111600 - Kickstart config file enables all supported languages.
Summary: Kickstart config file enables all supported languages.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-kickstart (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-05 22:08 UTC by Marc Beauregard
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-08 15:30:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kickstart file created with UI, with manual additions of packages. (1.40 KB, text/plain)
2003-12-05 22:09 UTC, Marc Beauregard
no flags Details

Description Marc Beauregard 2003-12-05 22:08:17 UTC
when using a kickstart file and asking for english language, 
the install will go and enable support for all languages.

RHEL ES 3.0 

Create a kickstart config file with the UI tool, just enable English 
for language support, then run an install of RHEL ES 3.0 with this 
kickstart file: language support will be enabled for ALL languages.

Comment 1 Marc Beauregard 2003-12-05 22:09:29 UTC
Created attachment 96376 [details]
Kickstart file created with UI, with manual additions of packages.

Comment 2 Marc Beauregard 2003-12-08 23:07:25 UTC
Workaround for the bug:
Edit the config file to remove the --default= option on langsupport.
Thus, the line
langsupport  --default=en_US
becomes
langsupport  en_US

Comment 3 Jeremy Katz 2003-12-10 07:05:37 UTC
The latter is the correct syntax -- the former implies to set the
default but install all languages.

Comment 4 Brent Fox 2004-01-08 15:30:01 UTC
Should be fixed in system-config-kickstart-2.5.4-1.  Thanks for your
report.


Note You need to log in before you can comment on or make changes to this bug.